Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.windows 6.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.windows
Class CloneableTopComponent.Ref

    java.lang.Object
      org.openide.windows.CloneableTopComponent.Ref

All Implemented Interfaces:
  Serializable

Enclosing class:
  CloneableTopComponent

    public static class CloneableTopComponent.Ref

extends Object
implements Serializable

Keeps track of a group of sister clones.

Warning: For proper use subclasses should have method readResolve () and implement it in right way to deal with separate serialization of TopComponent.

See Also:
  Serialized Form

Constructor Summary
`protected` | `CloneableTopComponent.Ref()` Default constructor for creating empty reference.

Method Summary
`CloneableTopComponent` | `getAnyComponent()` Deprecated. Use `getArbitraryComponent()` instead. It doesn't throw a runtime exception.
`CloneableTopComponent` | `getArbitraryComponent()` Gets arbitrary component from the set.
`Enumeration` | `getComponents()` Enumeration of all registered components.
`boolean` | `isEmpty()` Test whether there is any component in this set.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CloneableTopComponent.Ref

    protected CloneableTopComponent.Ref()

  Default constructor for creating empty reference.

Method Detail

### getComponents

    public Enumeration getComponents()

  Enumeration of all registered components.

  Returns:
    enumeration of CloneableTopComponent

### isEmpty

    public boolean isEmpty()

  Test whether there is any component in this set.

  Returns:
    `true` if the reference set is empty

### getAnyComponent

    public CloneableTopComponent getAnyComponent()

  Deprecated. Use `getArbitraryComponent()` instead. It doesn't throw a runtime exception.

  Retrieve an arbitrary component from the set.

  Returns:
    some component from the list of registered ones
  Throws:
    `NoSuchElementException` - if the set is empty

### getArbitraryComponent

    public CloneableTopComponent getArbitraryComponent()

  Gets arbitrary component from the set. Preferrably returns currently active component if found in the set.

  Returns:
    arbitratry `CloneableTopComponent` from the set or `null` if the set is empty
  Since:
    3.41

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.windows 6.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.